Subject: bug#14537: defect in guile with syntax transformation

From: "Dr. M. Luedde" <[email-masked]>
Date: Mon, 3 Jun 2013 23:27:46 +0100 (BST)

Hello Ludo,
 
alright, I compiled guile 2.0.6 on my cygwin system. 
 
Given the amount and content of the warnings, it came as a surprise to me that the compilation apparently was successul and the resulting guile did process my testcase without the previously exhibited errors.
 
I consider this defect report closed. 
 
Thanks and best, Mirko
 
P.S.
 
This "...I compiled guile 2.0.6 on my cygwin system..." and this "... Guile 1.8.7 is very old" might give the cygwin maintainers a hint. 

--
Dr. M. Luedde, Rheinblick 26A, D-69226 Nussloch, Germany
+49-175-2779708, Skype: MirkoLuedde

----- Ursprüngliche Message -----
> Von: Ludovic Courtès <[email-masked]>
> An: Dr. M. Luedde <[email-masked]>
> CC: [email-masked]; [email-masked]
> Gesendet: 23:48 Sonntag, 2.Juni 2013
> Betreff: Re: bug#14537: defect in guile with syntax transformation
> 
> Hello,
> 
> Thanks for your report.
> 
> "Dr. M. Luedde" <[email-masked]> skribis:
> 
>> ;; I think the below code exhibits a defect with guile 1.8.7.
> 
> Would it be an option for you to try this code in Guile 2.0.x?
> 
> Guile 1.8.7 is very old and its support for hygienic macros (among other
> things) was leaving a lot to be desired.
> 
> Ludo’.
>